Skip to content

PartStatement⁠

Perform various operations for Symitar parameters.

Operations⁠

getPartStatement⁠

POST

Part statement

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/parameter/getPartStatement
POST /nexum/627/2022.01/parameter/getPartStatement HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getPartStatementSelectFields⁠

POST

Part statement select fields

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/parameter/getPartStatementSelectFields
POST /nexum/627/2022.01/parameter/getPartStatementSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "SelectableFields": {
    "IncludeAllPartStatementFields": true,
    "PartStatementFields": {
      "Format": true,
      "InquiryLine": true,
      "InstitutionAddressLine": [
        0
      ],
      "NumberoftimesGenerated": true,
      "StatementCutoffDate": true,
      "StatementGroupList": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

updatePartStatementByID⁠

POST

Update partial statements by ID

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/parameter/updatePartStatementByID
POST /nexum/627/2022.01/parameter/updatePartStatementByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "PartStatementUpdatableFields": {
    "Format": 0,
    "InquiryLine": "string",
    "InstitutionAddressLine": [
      {
        "EntryId": 0,
        "InstitutionAddressLine": "string"
      }
    ],
    "NumberoftimesGenerated": 0,
    "StatementCutoffDate": "string",
    "StatementGroupList": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}